Creates a new unavailability

Request Information

URI Parameters :

None.

Body Parameters :

user_unavailability
NameDescriptionTypeAdditional information
id

Primary Key

globally unique identifier
date_start

Date+Time of the beginning

date

Required

date_end

Date+Time of the end

date

Required

modified_dateutc

Date+Time of the modified

date

Required

description

Description of the unavailability

string

Max length: 255

is_approved

Indicate if this object has been approved using a User Week Approval

boolean
user_id

User owner of this unavailability

globally unique identifier

Optionally required : user_id, user_code or user must be provided

user_code

Embedded entity "user" using ERP PK when adding/updating user_unavailability

string

Optionally required : user_id, user_code or user must be provided

user

Embedded entity "user" using node when adding/updating user_unavailability

user

Optionally required : user_id, user_code or user must be provided

user_unavailability_type_id

Type of the unavailability, cf model user_unavailability_type

globally unique identifier

Required

Optionally required : user_unavailability_type_id, user_unavailability_type_code or user_unavailability_type must be provided

user_unavailability_type_code

Embedded entity "user_unavailability_type" using ERP PK when adding/updating user_unavailability

string

Optionally required : user_unavailability_type_id, user_unavailability_type_code or user_unavailability_type must be provided

user_unavailability_type

Embedded entity "user_unavailability_type" using node when adding/updating user_unavailability

user_unavailability_type

Optionally required : user_unavailability_type_id, user_unavailability_type_code or user_unavailability_type must be provided

Request Formats :

application/json, text/json

Sample:
{
  "id": "c936d61b-91d1-46f3-9f7b-d83b64c88332",
  "date_start": "2026-11-09T19:44:40.6184416+00:00",
  "date_end": "2026-11-09T19:44:40.6340739+00:00",
  "modified_dateutc": "2026-11-09T19:44:40.6340739+00:00",
  "description": "sample string 5",
  "is_approved": true,
  "user_id": "8b13da83-8e61-4f67-944d-4bdd843d2fa7",
  "user_code": "sample string 8",
  "user": {
    "id": "4244f2dd-ef6b-4ca9-86e4-c08821755bf3",
    "db_language_id": "65005be8-97da-40ad-9d06-2a457767c186",
    "username": "sample string 3",
    "firstname": "sample string 4",
    "lastname": "sample string 5",
    "code": "sample string 6",
    "archived": true,
    "disabled": true,
    "emergency_contact": "sample string 9",
    "bankaccount": "sample string 10",
    "social_security": "sample string 11",
    "place_of_birth": "sample string 12",
    "nationality": "sample string 13",
    "functions": "sample string 14",
    "birthdate": "2026-11-09T19:44:40.6340739+00:00",
    "skype": "sample string 16",
    "notes": "sample string 17",
    "sales_organization_id": "b311e9c5-0732-47c7-af1a-ba5c3a040024",
    "sales_organization": {
      "id": "52e10604-9d7a-4b0f-a1f0-be0a6be49842",
      "code": "sample string 2",
      "name": "sample string 3",
      "description": "sample string 4",
      "db_country_id": "b49a28fe-8bf7-4d9d-b091-adaa3fe813d3",
      "db_currency_id": "f14dc380-819a-43de-848b-0f427b11954a",
      "db_language_id": "b4302d8b-5fc3-48a3-8b9b-d4a05007df70",
      "accountancy_code": "sample string 8",
      "archived": true,
      "default_unit_of_measure_system_type": "sample string 10",
      "street": "sample string 11",
      "street2": "sample string 12",
      "street_number": "sample string 13",
      "zip": "sample string 14",
      "city": "sample string 15",
      "email": "sample string 16",
      "phone": "sample string 17",
      "fax": "sample string 18",
      "url": "sample string 19",
      "vat_reg_code": "sample string 20",
      "modified_dateutc": "2026-11-09T19:44:40.6340739+00:00"
    },
    "sales_organization_code": "sample string 19",
    "is_team_leader": true,
    "team_leader_user_id": "b54f8d46-9d6c-450d-8bd3-55577a8b492d",
    "email": "sample string 22",
    "phone": "sample string 23",
    "fax": "sample string 24",
    "mobile": "sample string 25",
    "private_email": "sample string 26",
    "private_phone": "sample string 27",
    "private_fax": "sample string 28",
    "private_mobile": "sample string 29",
    "private_street": "sample string 30",
    "private_street_number": "sample string 31",
    "private_city": "sample string 32",
    "private_zip": "sample string 33",
    "private_db_country_id": "d2897dbd-6c40-4608-bb6f-fc301d06262d",
    "private_db_country_code": "sample string 35",
    "modified_dateutc": "2026-11-09T19:44:40.6340739+00:00",
    "allow_hero_app": true,
    "allow_sales_app": true,
    "allow_service_app": true,
    "user_group_id": "6525a43e-2804-4dd7-b7ba-dfc3585e3c59"
  },
  "user_unavailability_type_id": "bc4531a7-85b8-48ee-8704-350850cf625f",
  "user_unavailability_type_code": "sample string 10",
  "user_unavailability_type": {
    "id": "07f5c998-f822-4561-bf52-3b3781215fd5",
    "code": "sample string 2",
    "name": "sample string 3",
    "description": "sample string 4",
    "sales_organization_id": "2391ae79-480e-4176-9ef9-ffe20a5734e4",
    "sales_organization_code": "sample string 6",
    "sales_organization": {
      "id": "52e10604-9d7a-4b0f-a1f0-be0a6be49842",
      "code": "sample string 2",
      "name": "sample string 3",
      "description": "sample string 4",
      "db_country_id": "b49a28fe-8bf7-4d9d-b091-adaa3fe813d3",
      "db_currency_id": "f14dc380-819a-43de-848b-0f427b11954a",
      "db_language_id": "b4302d8b-5fc3-48a3-8b9b-d4a05007df70",
      "accountancy_code": "sample string 8",
      "archived": true,
      "default_unit_of_measure_system_type": "sample string 10",
      "street": "sample string 11",
      "street2": "sample string 12",
      "street_number": "sample string 13",
      "zip": "sample string 14",
      "city": "sample string 15",
      "email": "sample string 16",
      "phone": "sample string 17",
      "fax": "sample string 18",
      "url": "sample string 19",
      "vat_reg_code": "sample string 20",
      "modified_dateutc": "2026-11-09T19:44:40.6340739+00:00"
    },
    "modified_dateutc": "2026-11-09T19:44:40.6340739+00:00"
  }
}

Response Information

Resource Description :

IHttpActionResult

None.

Response Formats

application/json, text/json

Sample:

Sample not available.